// (c)2009 by Texas Instruments Incorporated, All Rights Reserved.
/*----------------------------------------------------------------------------+
|                                                                             |
|                              Texas Instruments                              |
|                                                                             |
|                             USB HID for BSL                                 |
|                                                                             |
+-----------------------------------------------------------------------------+
|  Source: UsbApi.h, v1.1 2009/06/29                                          |
|  Author: Rostyslav Stolyar                                                  |
|                                                                             |
|  Release Notes:                                                             |
|  Logs:                                                                      |
|                                                                             |
|  WHO          WHEN         WHAT                                             |
|  ---          ----------   ------------------------------------------------ |
|  R.Stolyar    2009/01/21   born                                             |
|  R.Stolyar    2009/04/20   Change version number to v1.0                    |
|  R.Stolyar    2009/06/24   Change to _tiny version                          |
+----------------------------------------------------------------------------*/

// send function
BYTE UsbSendHID(const BYTE* data);

// global pointer to buffer with received data
//extern const BYTE *ReceiveBuffer;
#define ReceiveBuffer (const unsigned char*)(OEP1_X_BUFFER_ADDRESS + 1)

// Returns:
//  gReceiveBuffer -> global pointer to buffer with received data
//  returned value: how many bytes received (should be always 64)
BYTE UsbReceiveHID(VOID);

//should be called after successed UsbReceiveHID() to make receive buffer ready to receive next data packet
VOID UsbClearReceiveBuffer(VOID);

// This functin shold be called asap in the loop:
//  no delay longer then 2 ms during enumeartion and
//  no delay longer then 40 ms after enumeration
VOID UsbHandler(VOID);
