#ifndef __MSP430WARE_RC_H__
#define __MSP430WARE_RC_H__

//*****************************************************************************
//
//The following are the defines to include the required modules for this
//peripheral in msp430xgeneric.h file
//
//*****************************************************************************
#define __MSP430_HAS_RC__

//*****************************************************************************
//
//The following are values that can be passed to the 
//ramController_setSectorOff() API as the sector parameter.
//
//*****************************************************************************
#define RAMCONTROL_SECTOR0   RCRS0OFF
#define RAMCONTROL_SECTOR1   RCRS1OFF
#define RAMCONTROL_SECTOR2   RCRS2OFF
#define RAMCONTROL_SECTOR3   RCRS3OFF
#define RAMCONTROL_SECTOR4   RCRS4OFF
#define RAMCONTROL_SECTOR5   RCRS5OFF
#define RAMCONTROL_SECTOR6   RCRS6OFF
#define RAMCONTROL_SECTOR7   RCRS7OFF

//*****************************************************************************
//
//Prototypes for the APIs.
//
//*****************************************************************************
extern void 
ramController_setSectorOff (unsigned int baseAddress,
    unsigned char sector
    );
extern unsigned char 
ramController_getSectorState (unsigned int baseAddress,
    unsigned char sector
    );
#endif
