/*******************************************************************************
 *
 *  hal_usb.h
 *
 *
 ******************************************************************************/

#ifndef HAL_USB_H
#define HAL_USB_H


#define USB_PORT_OUT      P5OUT
#define USB_PORT_SEL      P5SEL
#define USB_PORT_DIR      P5DIR
#define USB_PORT_REN      P5REN
#define USB_PIN_TXD       BIT6
#define USB_PIN_RXD       BIT7

extern char halUsbReceiveBuffer[255];
extern unsigned char bufferSize;

/*-------------------------------------------------------------
 *                  Function Prototypes
 * ------------------------------------------------------------*/
extern void halUsbInit(void);
extern void halUsbShutDown(void);
extern void halUsbSendChar(char character);

extern void halUsbSendString(char string[], unsigned char length);

#endif /* HAL_USB_H */
