/*******************************************************************************
 *
 *  UserExperience_F5438A.h
 *
 *
 ******************************************************************************/

#ifndef USER_EXPERIENCE_H
#define USER_EXPERIENCE_H

// Device type definitions
#define F5438             0x3854
#define F5438A            0x8005

extern unsigned char adcTempISR;
extern unsigned char fftISR;
extern unsigned char audioISR;
extern const unsigned int TI_BUG[];

extern unsigned char boardMode;
extern unsigned char lcdBackLightLevelSetting;
extern unsigned char lcdContrastSetting;
extern unsigned long lastAudioByteFlash;
extern int Acc_X_Calibrated_Offset;
extern int Acc_Y_Calibrated_Offset;
extern int Acc_Z_Calibrated_Offset;

extern unsigned char wakeUpOnAcc;
extern unsigned char boardModeLOCAL;
extern int Acc_X_Calibrated_OffsetLOCAL;
extern int Acc_Y_Calibrated_OffsetLOCAL;
extern int Acc_Z_Calibrated_OffsetLOCAL;
extern unsigned char lcdBackLightLevelSettingLOCAL;
extern unsigned char lcdContrastSettingLOCAL;
extern unsigned char wakeUpOnAccLOCAL;

extern unsigned long lastAudioByte;

extern unsigned char RTCAccHalfSec, RTCExit64Hz, RTCExitSec, RTCAccSec;

extern void setupRTC(void);
extern void UserExperience(void);

#endif /* USER_EXPERIENCE_H */
