/*******************************************************************************
 *
 *  flashUtils.h
 *
 *
 ******************************************************************************/

#ifndef FLASH_UTILS_H
#define FLASH_UTILS_H

/*-------------------------------------------------------------
 *                       Macros
 * ------------------------------------------------------------*/
#define FLASH_UNLOCK    FCTL3 = FWKEY; FCTL1 = FWKEY + WRT;
#define FLASH_LOCK      FCTL1 = FWKEY; FCTL3 = FWKEY +  LOCK;

/*-------------------------------------------------------------
 *                  Function Prototypes
 * ------------------------------------------------------------*/
extern void flashEraseBank(unsigned long FarPtr);
extern void flashEraseSegment(unsigned long FarPtr);

extern void flashErase(unsigned long Memstart, unsigned long Memend);

#endif /* FLASH_UTILS_H */


