/*******************************************************************************
 *
 *  GameGlobals.h
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *
 ******************************************************************************/

//*****************************************************************************
//
// Get a new random number via a fast linear congruence generator.
//
//*****************************************************************************

#define NEXT_RAND(x)            (((x) * 1664525) + 1013904223)

//*****************************************************************************
