/*******************************************************************************
 *
 *  Settings.h
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *
 ******************************************************************************/

#ifndef SETTINGS_H
#define SETTINGS_H

#define SoftwareMajorVersion   "1"
#define SoftwareMinorVersion   "1"

#define contrastSetpointAddress     0x1880
#define brightnessSetpointAddress   0x1882
#define accelXcalibrationAddress    0x1884
#define accelYcalibrationAddress    0x1886
#define accelZcalibrationAddress    0x1888

extern void Settings(void);

extern void WriteFlashSettings(uint16_t, uint16_t);

#endif /* SETTINGS_H */
