// *************************************************************************************************
//
//
// *************************************************************************************************

#ifndef TEMPERATURE_H_
#define TEMPERATURE_H_

// *************************************************************************************************
// Include section

// *************************************************************************************************
// Prototypes section

// internal functions
extern void reset_temp_measurement(void);
extern u8 is_temp_measurement(void);
extern void temperature_measurement(u8 filter);

// menu functions
extern void mx_temperature(u8 line);
extern void display_temperature(u8 line, u8 update);

// *************************************************************************************************
// Defines section

// *************************************************************************************************
// Global Variable section
struct temp
{
    menu_t state;               // MENU_ITEM_NOT_VISIBLE, MENU_ITEM_VISIBLE
    s16 degrees;                // Temperature (C) in 2.1 format
    s16 offset;                 // User set calibration value (C) in 2.1 format
};
extern struct temp sTemp;

// *************************************************************************************************
// Extern section

#endif                          /*TEMPERATURE_H_ */
