//******************************************************************************
//!
//! tlv - getDeviceType
//!  
//!  Tested on MSP430F5438A, MSP430FR5739, MSP430FR5969
//!             -----------------
//!         /|\|                 |
//!          | |                 |
//!          --|             	 | Device Type
//!            |				 |
//!            |                 |
//!
//!
//! This example uses the following peripherals and I/O signals.  You must
//! review these and change as needed for your own board:
//! - WDT_A
//!
//! This example uses the following interrupt handlers.  To use this example
//! in your own application you must add these interrupt handlers to your
//! vector table.
//! - NONE
//!
//******************************************************************************

#include "inc/hw_memmap.h"
#include "wdt_a.h"
#include "tlv.h"

void main()
{
  //Stop WDT
  WDT_A_hold(WDT_A_BASE);
  
  unsigned int status = TLV_getDeviceType();
 
}
