/* ****************************************************************************
 *
 * HAL_MACROS.h
 * Flash Library for flash memory controller of MSP430F5xx/6xx family
 * 
 *
 * 
 * Created: Version 1.0 11/24/2009
 * Updated: Version 2.0 12/15/2010
 *  
******************************************************************************/

#ifndef HAL_MACROS_H
#define HAL_MACROS_H

/*
 *  This macro is for use by other macros to form a fully valid C statement.
 */
#define st(x)      do { x } while (__LINE__ == -1)

#endif /* HAL_MACROS_H */
