#ifndef __MSP430WARE_PMAP_H__
#define __MSP430WARE_PMAP_H__

//*****************************************************************************
//
//The following are the defines to include the required modules for this
//peripheral in msp430xgeneric.h file
//
//*****************************************************************************
#define __MSP430_HAS_PORT_MAPPING__

//*****************************************************************************
//
//The following are values that can be passed to the PMAP_configurePorts() API
//as the portMapReconfigure parameter.
//
//*****************************************************************************
#define PMAP_ENABLE_RECONFIGURATION     PMAPRECFG
#define PMAP_DISABLE_RECONFIGURATION    0x00


//*****************************************************************************
//
//Prototypes for the APIs.
//
//*****************************************************************************
extern void PMAP_configurePorts (  unsigned int baseAddress,
    const unsigned char *portMapping,
    unsigned char *PxMAPy,
    unsigned char numberOfPorts,
    unsigned char portMapReconfigure
    );

#endif
