#ifndef __MSP430WARE_RAM_H__
#define __MSP430WARE_RAM_H__

//*****************************************************************************
//
//The following are the defines to include the required modules for this
//peripheral in msp430xgeneric.h file
//
//*****************************************************************************
#define __MSP430_HAS_RC__

//*****************************************************************************
//
//The following are values that can be passed to the 
//RAM_setSectorOff() API as the sector parameter.
//
//*****************************************************************************
#define RAM_SECTOR0   RCRS0OFF
#define RAM_SECTOR1   RCRS1OFF
#define RAM_SECTOR2   RCRS2OFF
#define RAM_SECTOR3   RCRS3OFF
#define RAM_SECTOR4   RCRS4OFF
#define RAM_SECTOR5   RCRS5OFF
#define RAM_SECTOR6   RCRS6OFF
#define RAM_SECTOR7   RCRS7OFF

//*****************************************************************************
//
//Prototypes for the APIs.
//
//*****************************************************************************
extern void 
RAM_setSectorOff (unsigned int baseAddress,
    unsigned char sector
    );
extern unsigned char 
RAM_getSectorState (unsigned int baseAddress,
    unsigned char sector
    );
#endif
