#ifndef __MSP430WARE_CRC_H__
#define __MSP430WARE_CRC_H__

//*****************************************************************************
//
//The following are the defines to include the required modules for this
//peripheral in msp430xgeneric.h file
//
//*****************************************************************************
#define __MSP430_HAS_CRC__

//*****************************************************************************
//
//Prototypes for the APIs.
//
//*****************************************************************************

extern void CRC_setSeed (unsigned int baseAddress,
    unsigned int seed);

extern void CRC_setData (unsigned int baseAddress,
    unsigned int signature);

extern void CRC_setSignatureByteReversed (unsigned int baseAddress,
    unsigned int signature);

extern unsigned int CRC_getSignature (unsigned int baseAddress);

extern unsigned int CRC_getResult (unsigned int baseAddress);

extern unsigned int CRC_getResultBitReversed (unsigned int baseAddress);

#endif
