/*******************************************************************************
 *
 *  audio.h
 *
 *
 ******************************************************************************/

#ifndef AUDIO_H
#define AUDIO_H

#define AUDIO_MENU_MAX 3

#define AUDIO_TEST_MODE   0
#define AUDIO_DEMO_MODE   1
#define SamplePrd         2048
#define AUDIO_MEMSTART    0x10000
#define AUDIO_MEMEND      0x45BFF
#define MemstartTest      0x40000

extern void audioMenu(void);
static void setupRecord(void);
static void shutdownRecord(void);
static void record(void);
extern void audioRecord(unsigned char mode);
extern void audioPlayBack(unsigned char mode);
extern void audioRecordTest(void);
extern void audioPlayBackTest(void);
extern void audio(void);

#endif /* AUDIO_H */
