/*******************************************************************************
 *
 *  HAL_Cma3000.h
 *
 *
 ******************************************************************************/

#ifndef HAL_CMA3000_H
#define HAL_CMA3000_H

#include <stdint.h>

#define DOUTX       0x06
#define DOUTY       0x07
#define DOUTZ       0x08

extern int8_t Cma3000_xAccel;
extern int8_t Cma3000_yAccel;
extern int8_t Cma3000_zAccel;

extern void Cma3000_init(void);
extern void Cma3000_disable(void);
extern void Cma3000_readAccel(void);
extern void Cma3000_setAccel_offset(int8_t xAccel_offset, int8_t yAccel_offset, int8_t zAccel_offset);
extern void Cma3000_readAccel_offset(void);
extern int8_t Cma3000_readRegister(uint8_t Address);
extern int8_t Cma3000_writeRegister(uint8_t Address, int8_t Data);

#endif /* HAL_MENU_H */
