/*******************************************************************************
 *
 *  random.h - Protoytpes for the random number generator
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *
 ******************************************************************************/

#ifndef __RANDOM_H__
#define __RANDOM_H__

//*****************************************************************************
//
// Prototypes for the random number generator functions.
//
//*****************************************************************************
extern void RandomAddEntropy(unsigned long ulEntropy);
extern unsigned long RandomNumber(void);

#endif // __RANDOM_H__
