// *************************************************************************************************
//
//
// *************************************************************************************************

#ifndef DATE_H_
#define DATE_H_

// *************************************************************************************************
// Include section

// *************************************************************************************************
// Prototypes section
extern void reset_date(void);
extern void add_day(void);
extern void mx_date(u8 line);
extern void sx_date(u8 line);
extern void display_date(u8 line, u8 update);

// *************************************************************************************************
// Defines section

// *************************************************************************************************
// Global Variable section
struct date
{
    u8 display;                 // Toggles view between DISPLAY_DEFAULT_VIEW = DD.MM and
                                // DISPLAY_ALTERNATIVE_VIEW = YYYY
    u8 day;
    u8 month;
    u16 year;
};
extern struct date sDate;

// *************************************************************************************************
// Extern section

#endif                          /*DATE_H_ */
