/*
 * ======== Standard MSP430 includes ========
 */
#include <msp430.h>

/*
 * ======== Grace related declaration ========
 */
extern void CSL_init(void);

volatile unsigned int i;
/*
 *  ======== main ========
 */
int main(void)
{
    CSL_init();

    while(1)
    {
       P1OUT ^= 0x01;                           // Toggle P1.0 using exclusive-OR
      __bis_SR_register(LPM3_bits + GIE);                 // Enter LPM3 w/interrupt
    }
}
void watchdog_timer(void)
{
}

void nmi_(void)
{
	 do
	  {
		IFG1 &= ~OFIFG;                         // Clear OSCFault flag
		for (i = 0xFFF; i > 0; i--);            // Time for flag to set
		P1OUT ^= 0x01;                          // Toggle P1.0 using exclusive-OR
	  }
	  while (IFG1 & OFIFG);                     // OSCFault flag still set?
	  IE1 |= OFIE;                              // Enable Osc Fault
}
