//******************************************************************************
//
//                         MSP430
//                      +---------------+
//                      |
//             C---+----|P1.0
//                 |    |
//                 R    |
//                 |    |
//             C---+----|P1.1
//                      |
//             C---+----|P1.2
//                 |    |
//                 R    |
//                 |    |
//             C---+----|P1.3
//
//******************************************************************************
#include "CTS_Layer.h"

unsigned int position;
//unsigned int dCnt[4];

// Main Function
void main(void)
{ 
  WDTCTL = WDTPW + WDTHOLD;             // Stop watchdog timer

  // establish baseline
  TI_CAPT_Init_Baseline(&slider);
  TI_CAPT_Update_Baseline(&slider,5);

  // Main loop starts here
  while (1)
  {
    position = TI_CAPT_Slider(&slider);
    //TI_CAPT_Custom(&slider,dCnt);
    if(position != ILLEGAL_SLIDER_WHEEL_POSITION)   
    {
        __no_operation();
    }
    __delay_cycles(100); 

  }
} // End Main

